
@ECHO OFF

:START
REM
REM  Check Management Engine Firmware Version. 
REM 
pushd "%~dp0"

:CHECK_OS
reg Query HKLM\Hardware\Description\System\CentralProcessor\0 /v Identifier | find /i "x86" > NUL && set PROC_ARCH32=TRUE || set PROC_ARCH32=FALSE
reg Query HKLM\Hardware\Description\System\CentralProcessor\0 /v Identifier | find /i "64"  > NUL && set PROC_ARCH64=TRUE || set PROC_ARCH64=FALSE

if %PROC_ARCH32%==TRUE goto :WIN32
if %PROC_ARCH64%==TRUE goto :WIN64
goto ERR_MSG

:WIN32
REM
REM for 32bit operating system
REM
echo Check Management Engine Firmware Version. (x86)
cd WIN
FWUpdLcl.exe -fwver
pause
cd ..
goto :exit

:WIN64
REM
REM for 64bit operating system
REM
echo Check Management Engine Firmware Version. (x64)
cd WIN64
FWUpdLcl64.exe -fwver
pause
cd ..
goto :exit

:ERR_MSG
echo ERROR : Could not get Operating System Information.

:exit

