
@ECHO OFF

:START
REM
REM  Updating Management Engine Firmware. 
REM  ME FW Version : 8.1.71.3608
REM 
pushd "%~dp0"

REM 
REM SET ME-FW FILE NAME
REM 
SET MEFW_FILE=81713608.bin

:CHECK_OS
reg Query HKLM\Hardware\Description\System\CentralProcessor\0 /v Identifier | find /i "x86" > NUL && set PROC_ARCH32=TRUE || set PROC_ARCH32=FALSE
reg Query HKLM\Hardware\Description\System\CentralProcessor\0 /v Identifier | find /i "64"  > NUL && set PROC_ARCH64=TRUE || set PROC_ARCH64=FALSE

if %PROC_ARCH32%==TRUE goto :WIN32
if %PROC_ARCH64%==TRUE goto :WIN64
goto ERR_MSG

:WIN32
REM
REM for 32bit operating system
REM
echo Update Management Engine Firmware. (x86)
pause
cd WIN
FWUpdLcl.exe -f ..\Image\%MEFW_FILE%
pause
cd ..
goto :exit

:WIN64
REM
REM for 64bit operating system
REM
echo Update Management Engine Firmware. (x64)
pause
cd WIN64
FWUpdLcl64.exe -f ..\Image\%MEFW_FILE%
pause
cd ..
goto :exit

:ERR_MSG
echo ERROR : Could not get Operating System Information.

:exit

